<?php

namespace Drp\UserManagement\Http\Controllers\Admin;

use Drp\UserManagement\Contracts\ManagedUser;
use Illuminate\Http\RedirectResponse;
use Illuminate\Routing\Controller;
use Illuminate\View\View;

class ApproveUsersController extends Controller
{
    public function index(ManagedUser $user): View
    {
        $awaitingApproval = $user->allAwaitingApproval();
        return view('userManagement::users.awaiting', compact('awaitingApproval'));
    }

    public function update(ManagedUser $user): RedirectResponse
    {
        $user->approve();
        flash()->success(trans('userManagement::users.approved'));
        return redirect()->back();
    }
}
