<?php

namespace Drp\UserManagement\Test\Feature;

use Drp\UserManagement\User;
use Drp\UserManagement\Test\TestCase;

class ApprovedUsersTest extends TestCase
{

    /**
     * @test
     */
    public function none_approved_users_cannot_access_the_site()
    {
        $user = factory(User::class)->create(['approved' => false]);

        $this->actingAs($user)
            ->visitRoute('home')
            ->seeRouteIs('approval_required');
    }

    /**
     * @test
     */
    public function approved_users_can_access_the_site()
    {
        $user = factory(User::class)->create(['approved' => true]);

        $this->actingAs($user)
            ->visitRoute('home')
            ->seeRouteIs('home');
    }
}
